CallbackHelper (cglib (Version 2.2.2))
Date: 2018-10-16

net.sf.cglib.proxy

## Class CallbackHelper

- java.lang.Object
- - net.sf.cglib.proxy.CallbackHelper

- All Implemented Interfaces:
    CallbackFilter

      public abstract class CallbackHelper
      extends java.lang.Object
      implements CallbackFilter

  Version:
    $Id: CallbackHelper.java,v 1.2 2004/06/24 21:15:20 herbyderby Exp $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallbackHelper(java.lang.Class superclass, java.lang.Class[] interfaces)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `accept(java.lang.reflect.Method method)` Map a method to a callback.
    `boolean` | `equals(java.lang.Object o)` The `CallbackFilter` in use affects which cached class the `Enhancer` will use, so this is a reminder that you should correctly implement `equals` and `hashCode` for custom `CallbackFilter` implementations in order to improve performance.
    `Callback[]` | `getCallbacks()`
    `java.lang.Class[]` | `getCallbackTypes()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallbackHelper

          public CallbackHelper(java.lang.Class superclass,
                                java.lang.Class[] interfaces)

  - ### Method Detail

    - #### getCallbacks

          public Callback[] getCallbacks()

    - #### getCallbackTypes

          public java.lang.Class[] getCallbackTypes()

    - #### accept

          public int accept(java.lang.reflect.Method method)

      Description copied from interface: `CallbackFilter`
      Map a method to a callback.
      Specified by:
        `accept` in interface `CallbackFilter`
      Parameters:
        `method` - the intercepted method
      Returns:
        the index into the array of callbacks (as specified by `Enhancer.setCallbacks(net.sf.cglib.proxy.Callback[])`) to use for the method,

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Description copied from interface: `CallbackFilter`
      The `CallbackFilter` in use affects which cached class the `Enhancer` will use, so this is a reminder that you should correctly implement `equals` and `hashCode` for custom `CallbackFilter` implementations in order to improve performance.
      Specified by:
        `equals` in interface `CallbackFilter`
      Overrides:
        `equals` in class `java.lang.Object`

Copyright (c) 2001 - Apache Software Foundation